# $Id: kdepim.spec,v 1.32 2004/04/05 17:20:52 rexdieter Exp $

%define kdelibs_ver 6:%{version}
%define monolithic 1
%define is_release 1 

%ifarch %{ix86} alpha ppc x86_64
%define pilot_link_ver 0.11.3
%define kpilot 1
BuildRequires:  pilot-link-devel >= %{pilot_link_ver}
# Let rpm auto-detect this -- Rex
# Requires: pilot-link >= %{pilot_link_ver}
# AvantGo support via libmal
BuildRequires: libmal-devel
%else
%define kpilot 0
%endif

Summary: PIM (Personal Information Manager) for KDE
Name:	 kdepim
Group:	 Applications/Productivity
Epoch:	 6
Version: 3.2.2
Release: 0.fdr.0%{?dist_tag}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.2/src/kdepim-3.2.2.tar.bz2
Url:	 http://pim.kde.org/
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source1: korganizerrc

Patch0: kde-libtool.patch
Patch2: kdepim-3.1.95-misc.patch

Requires: kdelibs >= %{kdelibs_ver}

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: libtool
BuildRequires: kdelibs-devel >= %{kdelibs_ver}
#BuildRequires: kdebase-devel >= 6:%{version}
BuildRequires: zlib-devel

# knode/kmail moved in from kdenetwork
Conflicts: kdenetwork < 7:3.2.0

%if "%{?monolithic}" == "1"
Obsoletes: korganizer < %{epoch}:%{version}-%{release}
%if "%{?kpilot}" != "0"
Obsoletes: kpilot < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-pilot < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kpilot < %{epoch}:%{version}-%{release}
%endif
Obsoletes: %{name}-cellphone < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kandy < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-karm < %{epoch}:%{version}-%{release}
Obsoletes: karm < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-knotes < %{epoch}:%{version}-%{release}
Obsoletes: knotes < %{epoch}:%{version}-%{release}
Obsoletes: knode < %{epoch}:%{version}-%{release}
Obsoletes: kmail < %{epoch}:%{version}-%{release}
%if "%{?kpilot}" != "0"
Provides: %{name}-pilot = %{epoch}:%{version}-%{release}
Provides: %{name}-kpilot = %{epoch}:%{version}-%{release}
%endif
Provides: %{name}-cellphone = %{epoch}:%{version}-%{release}
Provides: %{name}-kandy = %{epoch}:%{version}-%{release}
Provides: %{name}-karm = %{epoch}:%{version}-%{release}
Provides: karm = %{epoch}:%{version}-%{release}
Provides: %{name}-knotes = %{epoch}:%{version}-%{release}
Provides: knotes = %{epoch}:%{version}-%{release}
Provides: knode = %{epoch}:%{version}-%{release}
Provides: kmail = %{epoch}:%{version}-%{release}
%endif


%description
A PIM (Personal Information Manager) for KDE.

%package kpilot
Summary: KDE support for synchronizing data with a Palm(tm) or compatible PDA
Group: Applications/Productivity
Requires:  %{name} = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-pilot < %{epoch}:%{version}-%{release}
Provides:  %{name}-pilot = %{epoch}:%{version}-%{release}
%description kpilot
KDE support for synchronizing data with a Palm(tm) or compatible PDA.

%package kandy 
Summary: KDE support for synchronizing data with cellphones
Group: Applications/Productivity
Requires: %{name} = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-cellphone < %{epoch}:%{version}-%{release}
Provides:  %{name}-cellhpone = %{epoch}:%{version}-%{release}
%description kandy 
KDE support for synchronizing data with cellphones.
Install %{name}-cellphone if you want to use %{name} and have a cellphone.

%package karm
Summary: Time tracking tool
Group: Applications/Productivity
Obsoletes: karm < %{epoch}:%{version}-%{release}
Provides:  karm = %{epoch}:%{version}-%{release}
%description karm
KArm - Punjambi language for "work" - tracks time spent on various tasks.
It is useful for tracking hours to be billed to different clients.

%package knotes
Summary: Post-It notes on the desktop
Group: Applications/Productivity
Obsoletes: knotes < %{epoch}:%{version}-%{release}
Provides:  knotes = %{epoch}:%{version}-%{release}
%description knotes
KNotes allows you to place Post-It notes on your desktop.
In addition to serving as a reminder, KNotes can mail and print your notes,
and accept drag and drop even from remote sites.

%package devel
Summary: Development files for kdepim
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= %{kdelibs_ver}
%description devel
Development files for %{name}.
Install %{name}-devel if you want to write or compile %{name} plugins.


%prep

%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%patch2 -p1 -b .kmail

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

DO_NOT_COMPILE=""
%if "%{?kpilot}" == "0"
export DO_NOT_COMPILE="$DO_NOT_COMPILE kpilot"
%endif

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

install -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/config/


%files
%defattr(-,root,root)
%if "%{?monolithic}" == "1"
%config %{_datadir}/config/*
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/kde3/*
%{_datadir}/apps/*
%{_datadir}/autostart/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/Applications
%{_datadir}/applnk/Utilities
%{_datadir}/applnk/.hidden/*
%{_datadir}/config.kcfg/*
%{_datadir}/mimelnk/application/*
%else
# non-monolithic case TODO
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean 
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-0.fdr.0
- 3.2.2

* Sun Mar 21 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.3
- use libtool patch

* Thu Mar 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.2
- remove Requires: kdebase

* Wed Mar 03 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.1
- note kmail/knode in Obsoletes/Provides.

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.0
- 3.2.1

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.4
- nuke my_ver macro

* Fri Feb 06 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.3
- fix filelists (move some to/from -devel)

* Thu Feb 05 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.2
- use updated kmail hotfix patch

* Wed Feb 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.1
- include last-minute KMail-inboxEater patch

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.0
- 3.1.95

* Sun Dec 14 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.0
- 3.1.94

* Sun Dec 07 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.4
- fix for missing my_ver macro

* Fri Dec 05 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.3
- (re)build on/for qt-3.2.x

* Fri Oct 17 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.1
- enable AvantGo support (via libmal)

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 11 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.0
- 3.1.3
- %%lang'ify %%docs

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-3.1
- rebuild

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-3.0
- sync to rawhide's 3.1-3
- use epochs in Obsoletes/Provides/Requires.

* Tue Feb 11 2003 Than Ngo <than@redhat.com> 3.1-3
- add missing build dependency, #84027

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning

* Sat Feb  1 2003 Than Ngo <than@redhat.com> 3.1-2
- fix segfault #83194

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6.

